GET /api/v1/fleet/alerts/
curl --request GET \
--url https://api.avala.ai/api/v1/fleet/alerts/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recording": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": "info",
"status": "open",
"message": "<string>",
"triggered_at": "2023-11-07T05:31:56Z",
"acknowledged_at": "2023-11-07T05:31:56Z",
"acknowledged_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
status
open, acknowledged, resolved severity
info, warning, error, critical device
rule
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?
curl --request GET \
--url https://api.avala.ai/api/v1/fleet/alerts/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recording": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": "info",
"status": "open",
"message": "<string>",
"triggered_at": "2023-11-07T05:31:56Z",
"acknowledged_at": "2023-11-07T05:31:56Z",
"acknowledged_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}